﻿<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Customer Portal | @Html.Raw(ViewBag.Title)</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <!--Import css file dari folder Plugin-->
    <link href="~/adminlte/plugins/datatables-autofill/css/autoFill.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-buttons/css/buttons.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-fixedcolumns/css/fixedColumns.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-fixedheader/css/fixedHeader.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-keytable/css/keyTable.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-responsive/css/responsive.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-rowgroup/css/rowGroup.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-rowreorder/css/rowReorder.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-scroller/css/scroller.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-searchbuilder/css/searchBuilder.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-searchpanes/css/searchPanes.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/adminlte/plugins/datatables-select/css/select.bootstrap4.min.css" rel="stylesheet" />
    <link href="~/CSS/style.css" rel="stylesheet" />
    <!--end Import css file dari folder Plugin-->
    @RenderSection("HeadLibrary", required: false)
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="content">
        <div class="container-fluid">
            @RenderBody()
        </div><!-- /.container-fluid -->
    </div>
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @Scripts.Render("~/adminlte/js")
    <script>
        //Pop Up success or error function-----------------------------------------//
        window.messageSuccess = (message, url) => {
            Swal.fire({
                title: 'success',
                text: message,
                icon: 'success',
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Oke',
                allowOutsideClick: false
            }).then((result) => {
                if (result.value) {
                    if (url !== null) {
                        window.location.href = url;
                    }
                }
            })
        }

        window.messageFailed = (message) => {
            Swal.fire({
                title: 'Something is Wrong',
                text: message,
                icon: 'error',
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Oke',
                allowOutsideClick: false
            })
        }
    </script>
    @RenderSection("scripts", required: false)
</body>
</html>
